Kerbal Space Program - Bug #5217

"Discard" label for Completed Contracts appears to follow an orbit around a body you are orbiting
07/07/2015 03:56 PM - BeguiledAardvark

Status: Closed Start date: 07/07/2015
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.04 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Version: KSP 1.0.4.861 on Windows 8.1 64-bit - 32-bit game client - Non-Steam

Detailed Explanation:
When orbiting Mun | went to discard a few of my completed contracts. When floating over the discard trash can icon, the "Discard"
label appeared on the screen and then appeared to follow the orbit of Mun, swiftly moving away from my craft.

Link to video:https://www.youtube.com/watch?v=EN4vd8VBroM
(Enable annotations or look above and to the left of the 3 Kerbals)

Mods in use:
Chatterer

Engine Lighting
Kerbal Engineer
Docking Indicator
Planetshine
Portrait Stats

History

#1 - 07/07/2015 06:17 PM - Squelch

- Status changed from New to Need More Info

Thanks for the report. However, we are unable to support modded games on this tracker.
Please can you reproduce in stock, and provide logs and a savegame so we can investigate?
An excellent bug reporting guide can be found here

#2 - 07/14/2015 11:43 AM - hfbs

Squelch, | believe this is the bug being discussed -
http://forum.kerbalspaceprogram.com/threads/118272-Science-dialog-box-Discard-tooltip-sometimes-disassociates-itself-from-the-discard-button.

It was reproduced on a stock install by The Manley and sal_vager has confirmed it's known but no fix exists yet.

#3 - 07/14/2015 04:47 PM - Squelch

We do have an internal issue for this. Text has been seen to leak out and appear in odd places on occasions. However, it is not always reproducible,
and mods can possibly be a factor. A savefile that demonstrates the issue would need to be mod free.

This is acknowledged as an observed phenomenon.

It is hoped that Unity 5 will bring changes that will nullify the problem.

Thank you for your report, and please understand that we can only deal with strictly mod free issues.
#4 - 07/14/2015 05:00 PM - Squelch

- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10
https://www.youtube.com/watch?v=EN4vd8VBr9M
http://forum.kerbalspaceprogram.com/threads/92230-Stock-Support-Bug-Reporting-Guide
http://forum.kerbalspaceprogram.com/threads/118272-Science-dialog-box-Discard-tooltip-sometimes-disassociates-itself-from-the-discard-button

#6 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#7 - 07/17/2016 09:34 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#8 - 08/14/2016 07:32 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
